<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">

        <ui:decorate template="/layout/form/_form_page.xhtml">

            <h2>#{messages['net.ihe.gazelle.atna.ValidateACertificate']}</h2>
            <h:form id="validateForm">

                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">
                        #{messages['net.ihe.gazelle.atna.ValidateACertificateAgainstVariousProfiles']}
                    </ui:define>

                    <div class="form-horizontal">

                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="pemInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.CertificateInPEMFormat']}
                            </ui:define>

                            <rich:fileUpload id="pemInput"
                                             fileUploadListener="#{certificateValidationBean.uploadListener}"
                                             maxFilesQuantity="1"
                                             acceptedTypes="pem,crt" listHeight="60px"
                                             immediateUpload="true"/>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                            <ui:param name="id" value="contextInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.Context']}</ui:define>
                            <h:selectOneMenu id="contextInput" value="#{certificateValidationBean.context}"
                                             styleClass="form-control gzl-select-text">
                                <f:selectItem noSelectionOption="true" itemValue="#{null}"
                                              itemLabel="#{messages['net.ihe.gazelle.atna.All']}"/>
                                <f:selectItems value="#{certificateValidationBean.getContextTypeItems()}"/>
                                <a4j:ajax event="change" render="validatorSelection" execute="@this"
                                          listener="#{certificateValidationBean.resetCertificateValidatorType()}"/>
                            </h:selectOneMenu>
                        </s:decorate>

                        <s:div id="validatorSelection">
                            <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                <ui:param name="id" value="validatorInput"/>
                                <ui:define name="label">
                                    #{messages['net.ihe.gazelle.atna.CertificateValidator']}
                                </ui:define>
                                <h:selectOneMenu id="validatorInput" styleClass="form-control gzl-select-text" required="true"
                                                 value="#{certificateValidationBean.certificateValidatorType}">
                                    <f:selectItem itemValue="#{null}"
                                                  itemLabel="#{messages['net.ihe.gazelle.atna.PleaseSelect']}"
                                                  noSelectionOption="true"/>
                                    <f:selectItems
                                            value="#{certificateValidationBean.getCertificateValidatorTypeItems()}"/>
                                </h:selectOneMenu>
                            </s:decorate>
                        </s:div>

                        <s:decorate template="/layout/form/_form_checkbox_horizontal_4-8.xhtml">
                            <ui:define name="label">
                                #{messages['net.ihe.gazelle.atna.CheckRevocation']}
                            </ui:define>
                            <h:selectBooleanCheckbox value="#{certificateValidationBean.checkRevocation}"/>
                        </s:decorate>

                    </div>

                    <ui:define name="panel_footer">
                        <em class="pull-right">* #{messages['net.ihe.gazelle.atna.Required']}</em>
                        <h:commandButton action="#{certificateValidationBean.validate()}"
                                         value="#{messages['net.ihe.gazelle.atna.Validate']}"
                                         styleClass="gzl-btn-blue"/>
                    </ui:define>
                </ui:decorate>

                <h:panelGroup rendered="#{certificateValidationBean.isDisplayResults()}">
                    <h:panelGroup rendered="#{certificateValidationBean.errorResults.size==0}">
                        <div class="gzl-alert gzl-alert-green">
                            <h:outputText value="#{messages['net.ihe.gazelle.atna.CertificateValidated']}"/>
                        </div>
                    </h:panelGroup>
                    <s:div styleClass="panel panel-danger" rendered="#{certificateValidationBean.errorResults.size>0}">
                        <div class="panel-heading" role="tab" id="errorPanelheadingOne">
                            <h4 class="panel-title">
                                <a role="button" data-toggle="collapse" href="#errorPanel"
                                   aria-expanded="true" aria-controls="errorPanel">
                                    <h:outputText value="#{messages['net.ihe.gazelle.atna.Error']}"/>
                                    <h:outputText value="#{messages['net.ihe.gazelle.atna.S']}"
                                                  rendered="#{certificateValidationBean.errorResults.size>1}"/>
                                    &#160;
                                    <span class="badge">
                                        <h:outputText value="#{certificateValidationBean.errorResults.size}"/>
                                    </span>
                                </a>
                            </h4>
                        </div>
                        <div id="errorPanel" class="panel-collapse collapse in"
                             role="tabpanel" aria-labelledby="errorPanelheadingOne">
                            <ul class="list-group">
                                <ui:repeat value="#{certificateValidationBean.errorResults}" var="errorMsg">
                                    <li class="list-group-item">
                                        <h:outputText value="#{errorMsg}"/>
                                    </li>
                                </ui:repeat>
                            </ul>
                        </div>
                    </s:div>
                    <s:div styleClass="panel panel-warning"
                           rendered="#{certificateValidationBean.warningResults.size>0}">
                        <div class="panel-heading" role="tab" id="warningPanelheadingOne">
                            <h4 class="panel-title">
                                <a role="button" data-toggle="collapse" href="#warningPanel"
                                   aria-expanded="true" aria-controls="warningPanel">
                                    <h:outputText value="#{messages['net.ihe.gazelle.atna.Warning']}"/>
                                    <h:outputText value="#{messages['net.ihe.gazelle.atna.S']}"
                                                  rendered="#{certificateValidationBean.warningResults.size>1}"/>
                                    &#160;
                                    <span class="badge">
                                        <h:outputText value="#{certificateValidationBean.warningResults.size}"/>
                                    </span>
                                </a>
                            </h4>
                        </div>
                        <div id="warningPanel" class="panel-collapse collapse in"
                             role="tabpanel" aria-labelledby="warningPanelheadingOne">
                            <ul class="list-group">
                                <ui:repeat value="#{certificateValidationBean.warningResults}" var="warningMsg">
                                    <li class="list-group-item">
                                        <h:outputText value="#{warningMsg}"/>
                                    </li>
                                </ui:repeat>
                            </ul>
                        </div>
                    </s:div>
                </h:panelGroup>

            </h:form>

        </ui:decorate>
    </ui:define>
</ui:composition>
